import React from 'react';
import { HeadDescription } from './head-description';

describe('<HeadDescription />', () => {
  describe('default, without headValues and descValues', () => {
    test('should match snapshot', () => {
      const wrapper = shallow(<HeadDescription
        head="wallet.sign-up.e-mail.title"
        desc="wallet.sign-up.e-mail.title"
      />);
      expect(wrapper).toMatchSnapshot();
    });
  });

  describe('with headValues and descValues', () => {
    test('should match snapshot', () => {
      const wrapper = shallow((
        <HeadDescription
          head="wallet.sign-up.e-mail.title"
          desc="wallet.sign-up.e-mail.title"
          headValues={{ name: 'userName', id: 'id' }}
          descValues={{ name: 'userName', id: 'id' }}
        />
      ));
      expect(wrapper).toMatchSnapshot();
    });
  });
});
